# eric7.Plugins.VcsPlugins.vcsGit.GitApplyBundleDataDialog

Module implementing a dialog to enter the data for applying a bundle.

### Global Attributes

None

### Classes

GitApplyBundleDataDialog | Class implementing a dialog to enter the data for applying a bundle.

### Functions

None

## GitApplyBundleDataDialog

Class implementing a dialog to enter the data for applying a bundle.

### Derived from

QDialog, Ui_GitApplyBundleDataDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitApplyBundleDataDialog | Constructor
getData | Public method to get the entered data.

### Static Methods

None

#### GitApplyBundleDataDialog (Constructor)

GitApplyBundleDataDialog(bundleHeads, branches, parent=None)

Constructor

bundleHeads
  list of heads contained in a bundle (list of strings)
branches
  list of available branch names (list of strings)
parent
  reference to the parent widget (QWidget)

#### GitApplyBundleDataDialog.getData

getData()

Public method to get the entered data.

Return:
  tuple with the bundle head (string) and the local branch name (string)

Up